"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useInterval = void 0;
const vue_1 = require("vue");
const isNumber = (val) => typeof val === 'number';
// export interface UseIntervalReturnMs {
//   start(): number;
// }
// export interface UseIntervalReturnArgs<TArgs extends Array<any>> {
//   start(_: undefined, ...args: TArgs): number;
// }
function useInterval(callback, ms) {
    let intervalId = undefined;
    const start = (_ms, ..._args) => {
        remove();
        if (!_ms && !ms) {
            return;
        }
        const m = (_ms || ms);
        return (intervalId = setInterval(callback, m
        // ...(_args && _args.length ? _args : args)
        ));
    };
    const remove = () => {
        if (!intervalId)
            return;
        clearInterval(intervalId);
        intervalId = undefined;
    };
    if (isNumber(ms)) {
        start();
    }
    vue_1.onUnmounted(remove);
    return { remove, start };
}
exports.useInterval = useInterval;
//# sourceMappingURL=useInterval.js.map